package com.ytpm.dao;

import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.math.BigDecimal;

@Mapper
public interface AgentStaticsMapper {
    /**
     * 查询用户数
     */
    Integer getUserNum(@Param("format") String format);

    /**
     * 查询封禁数
     */
    Integer getBannedNum(@Param("format") String format);

    /**
     * 查询提现用户数
     */
    Integer getWithdrawNum(@Param("format") String format);

    /**
     * 查询提现笔数
     */
    Integer getWithdrawCount(@Param("format") String format);

    /**
     * 已发提现金额
     */
    BigDecimal getWithdrawSum(@Param("format") String format);

    /**
     * 总广告数
     */
    Integer getVideoWatchCount(@Param("format") String format);
}
